package com.vendor.loader.ui.ssu;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.vendor.loader.Messages;
import com.vendor.loader.ui.ssu.SsuPackageOptionsInfoGroup;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.osgi.util.NLS;
import org.eclipse.swt.events.FocusEvent;
import org.eclipse.swt.events.FocusListener;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Text;

class null implements FocusListener {
  public void focusGained(FocusEvent e) {}
  
  public void focusLost(FocusEvent e) {
    String verifyText = fileSize.getText();
    double size = 0.0D;
    try {
      if (verifyText.length() == 0) {
        MessageDialog.openWarning(Display.getDefault()
            .getActiveShell(), Messages.Warning, NLS.bind(Messages.FileSize_Null, title));
        fileSize.setFocus();
        return;
      } 
      if (verifyText.length() > 0) {
        if (verifyText.startsWith(".")) {
          MessageDialog.openWarning(Display.getDefault()
              .getActiveShell(), Messages.Warning, Messages.FileSize_Value);
          fileSize.setFocus();
          return;
        } 
        size = Double.parseDouble(verifyText);
        if (size < min) {
          MessageDialog.openWarning(Display.getDefault()
              .getActiveShell(), Messages.Warning, 
              NLS.bind(Messages.FileSize_Minimum, Integer.valueOf(min)));
          fileSize.setFocus();
          return;
        } 
        if (size > max) {
          MessageDialog.openWarning(Display.getDefault()
              .getActiveShell(), Messages.Warning, 
              NLS.bind(Messages.FileSize_Maximum, Long.valueOf(max)));
          fileSize.setFocus();
          return;
        } 
        if (verifyText.indexOf(".") > 0) {
          String[] result = verifyText.split("\\.");
          if (result[1].length() > fractionalBits) {
            MessageDialog.openWarning(Display.getDefault()
                .getActiveShell(), Messages.Warning, Messages.CableModuValue);
            fileSize.setFocus();
            return;
          } 
        } 
        if (title.equals(Messages.TerrestrialCentreFrequency) && 
          size % 10.0D != 0.0D) {
          MessageDialog.openWarning(Display.getDefault()
              .getActiveShell(), Messages.Warning, Messages.FileSizeMultiples);
          fileSize.setFocus();
          return;
        } 
      } 
    } catch (Exception exception) {
      MessageDialog.openWarning(Display.getDefault()
          .getActiveShell(), Messages.Warning, Messages.FileSize_Value);
      fileSize.setFocus();
      return;
    } 
  }
}
